Update playlist details

Update a playlist details at {playlistId} with the supplied playlist details.

It does not affect playlist tracks. Use this method e.g. for changing visibility of the playlist from private to public.

Descriptions are limited to 500 characters. Descriptions over this length are truncated.

OAuth

Example request

POST https://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b/details Authorization: OAuth realm="...", oauth_consumer_key="YOUR_KEY_HERE", oauth_token="..." Content-type: application/json { "name": "party time", "visibility": "Public", "imageUrl": "http://artwork-cdn.7static.com/static/img/sleeveart/00/004/963/0000496338_$size$.jpg", "description": "Laid back listening", "annotations": { "key": "value" } }

The body of the request should be structured as follows:

{
    "name": "party time",
    "status": "published",
      "visibility": "private",
    "tracks": [
        {
            "trackId": "12345"
        }
    ]
}

Example response

HTTP/1.1 200 OK
Location: http://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b
Path Params
string
required

The identifier for the playlist you want to update details for

Query Params
string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

Language
LoadingLoading…